# Poco::Net

# class HTTPOutputStream

Library: Net
Package: HTTP
Header: Poco/Net/HTTPStream.h

## Description

This class is for internal use by HTTPSession only.

## Inheritance

Direct Base Classes: HTTPIOS, std::ostream

All Base Classes: HTTPIOS, std::ios, std::ostream

## Member Summary

Member Functions: operator delete, operator new

Inherited Functions: rdbuf

## Constructors

### HTTPOutputStream

HTTPOutputStream(
HTTPSession & session
);

## Destructor

### ~HTTPOutputStream

~HTTPOutputStream();

## Member Functions

### operator delete

void operator delete(
void * ptr
);

### operator new

void * operator new(
std::size_t size
);